Qt 5.13 | Qt GUI | C++ Classes | QTextLayout

Qt 5.13.2 Reference Documentation

# Obsolete Members for QTextLayout

The following members of class QTextLayout are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` | QTextLayout(const QString &text, const QFont &font, QPaintDevice *paintdevice = nullptr)
`(obsolete)` QList<QTextLayout::FormatRange> | additionalFormats() const
`(obsolete)` void | clearAdditionalFormats()
`(obsolete)` void | setAdditionalFormats(const QList<QTextLayout::FormatRange> &formatList)

## Member Function Documentation

### QTextLayout::QTextLayout(const QString &text, const QFont &font, QPaintDevice *paintdevice = nullptr)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Identical to QTextLayout::QTextLayout(const QString &text, const QFont &font, const QPaintDevice *paintdevice)

### QList<QTextLayout::FormatRange> QTextLayout::additionalFormats() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

See also setAdditionalFormats() and clearAdditionalFormats().

### void QTextLayout::clearAdditionalFormats()

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

### void QTextLayout::setAdditionalFormats(const QList<QTextLayout::FormatRange> &formatList)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

See also additionalFormats().